<!--
  this XSL extracts field descriptions from XML generated by javadoc for an agent config class
 -->
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" omit-xml-declaration="yes" indent="yes"/>
	<xsl:template match="/">
		<xsl:for-each select="class">
			<xsl:element name="fields">
				<xsl:for-each select="fields/field">
					<xsl:element name="x">
						<xsl:attribute name="name">
							<xsl:value-of select="@name"/>
						</xsl:attribute>
						<xsl:element name="description">
							<xsl:value-of select="description/lead"/>
							<xsl:value-of select="description/detail"/>
						</xsl:element>
						<xsl:for-each select="description/block.type">
							<xsl:element name="blockType">
								<xsl:value-of select="."/>
							</xsl:element>
						</xsl:for-each>
						<xsl:for-each select="description/block.access">
							<xsl:element name="blockAccess">
								<xsl:value-of select="."/>
							</xsl:element>
						</xsl:for-each>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
		</xsl:for-each>
	</xsl:template>
</xsl:transform>
