package sk.robotics.rlcs.agents.image;

import java.awt.image.*;

/**
 *  Color inversion image filter.
 *  Does not work with indexed color models (which include black and white images).
 */
public class InvertAgent extends ImageFilterAgent {

	public static class Cfg extends ImageFilterAgent.Cfg {}

	// lookup opearator which does the inversion
	private LookupOp invertOp;

	public InvertAgent(Cfg cfg) {
		super(cfg);

		// construct the inversion lookup table
		byte[] table = new byte[256];
		for (int i = 0; i < 256; ++i) {
			table[i] = (byte) (255 - i);
		}
		invertOp = new LookupOp(new ByteLookupTable(0, table), null);
	}

	@Override protected void filter(BufferedImage source, BufferedImage target) {
		invertOp.filter(source, target);
	}
}
