package sk.robotics.rlcs.constants;

/**
 *  Turtle constants.
 */
public class TurtleConstants
{
	/** Turtle diameter in millimetres. */
	public final static int DIAMETER_MM = 210;

	/** Turtle radius in millimetres (diameter / 2). */
	public final static int RADIUS_MM = 105;

	/** Wheel distance in millimeters. */
	public final static int WHEELDST_MM = 180;

	/** Number of steps for 360-rotation. */
	public final static int TURN360_STEPS = 2880;

	/** Length of one step in millimetres. */
	public final static double STEPSIZE_MM = WHEELDST_MM * Math.PI / TURN360_STEPS;

	/** Number of steps per millimeter (1 / stepsize). */
	public final static double STEPS_PER_MM = 1 / STEPSIZE_MM;

	/** Maximal robot speed, in steps per second. */
	public final static double STEPS_PER_SEC = 99.0 * 1000.0 / 256.0;

	/** Maximal robot speed, in millimetres per millisecond (which is the same as metres per seconds). */
	public final static double SPEED_MM_PER_MS = (STEPS_PER_SEC / 1000.0) / STEPS_PER_MM;

	/** Maximal robot turning speed, in radians per second. */
	public final static double SPEED_RAD_PER_MS = (STEPS_PER_SEC / 1000.0) / (TURN360_STEPS / (Math.PI * 2));
}
