package sk.robotics.rlcs.data;

/**
 *  Robot position at specific time. For use with PositionQueue.
 *  Objects of this class are immutable.
 */
public class TimedPosition extends Position
{
	private long timestamp;
	
	public TimedPosition(Position pos, long time)
	{
		super(pos.getPosX(), pos.getPosY(), pos.getHeading());
		this.timestamp = time;
	}
	public TimedPosition(Position pos)
	{
		this(pos, System.currentTimeMillis());
	}
	
	public long getTimeStamp()
	{
		return timestamp;
	}

	// mapping to XML
	public class XmlMappable extends Position.XmlMappable {
		public long timestamp = TimedPosition.this.timestamp;
	}
	@Override public XmlMappable getXmlMappable() { return new XmlMappable(); }
}
