package sk.robotics.rlcs.security;

import java.security.BasicPermission;
import java.util.*;

/**
 *  RLCS specific permission class.
 *
 *  Permission types (names):
 *   - subThread: allows an agent to launch another threads
 */
public class RLCSPermission extends BasicPermission {

	// constructors
	public RLCSPermission(String name) {
		super(name);
	}
	public RLCSPermission(String name, String actions) {
		super(name, actions);
	}

	// static instances
	private static Map<String, RLCSPermission> instances = new HashMap<String, RLCSPermission>();
	static {
		instances.put("subThread", new RLCSPermission("subThread"));
	}

	// factory methods
	public static RLCSPermission getInstance(String name) { return instances.get(name); }
}
